I want to install the latest version, but I can’t find an installer for it

Since version 1.0.11 jOverseer is pretty reliable about updating existing versions, so having the very latest installer is not necessary, although it’s easier to force the initial update with version 1.16.3 and later.